Last Comment Bug 746434 - Add unit tests for the alarm service
: Add unit tests for the alarm service
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Alarms (show other bugs)
: unspecified
: All All
: -- normal (vote)
: 2.0
Assigned To: Matthew Mecca [:mmecca]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 19:15 PDT by Matthew Mecca [:mmecca]
Modified: 2012-10-01 19:44 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix v1 (17.70 KB, patch)
2012-09-26 06:05 PDT, Matthew Mecca [:mmecca]
philipp: review+
Details | Diff | Splinter Review

Description Matthew Mecca [:mmecca] 2012-04-17 19:15:05 PDT

    
Comment 1 Matthew Mecca [:mmecca] 2012-09-26 06:05:48 PDT
Created attachment 664922 [details] [diff] [review]
Fix v1

Alarm service unit tests
Comment 2 Philipp Kewisch [:Fallen] 2012-09-29 10:12:43 PDT
Comment on attachment 664922 [details] [diff] [review]
Fix v1

Review of attachment 664922 [details] [diff] [review]:
-----------------------------------------------------------------

r=philipp, tests ftw!

::: calendar/test/unit/test_alarmservice.js
@@ +132,5 @@
> +
> +function createEventWithAlarm(aCalendar, aStart, aEnd, aOffset, aRRule) {
> +    let alarm = null;
> +    let item = cal.createEvent();
> +    

A few minor whitespace fixes here and elsewhere. Please also ensure your files have a newline at the end, so the diff doesn't complain with "No newline at and of file".
Comment 3 Matthew Mecca [:mmecca] 2012-10-01 19:44:58 PDT
Pushed to comm-central - http://hg.mozilla.org/comm-central/rev/95ecbcca7df6

Note You need to log in before you can comment on or make changes to this bug.